DFB_DeviceData Struct Reference

`#include <SDL_DirectFB_video.h>`

Collaboration diagram for DFB_DeviceData:
[legend]

## Data Fields

int | initialized
IDirectFB * | dfb
int | num_mice
int | mouse_id [0x100]
int | num_keyboard
DFB_KeyboardData | keyboard [10]
SDL_Window * | firstwin
int | use_yuv_underlays
int | use_yuv_direct
int | use_linux_input
int | has_own_wm
SDL_Window * | grabbed_window
IDirectFBEventBuffer * | events

## Detailed Description

Definition at line 141 of file SDL_DirectFB_video.h.

## Field Documentation

IDirectFB* DFB_DeviceData::dfb

Definition at line 145 of file SDL_DirectFB_video.h.

IDirectFBEventBuffer* DFB_DeviceData::events

Definition at line 162 of file SDL_DirectFB_video.h.

SDL_Window* DFB_DeviceData::firstwin

Definition at line 150 of file SDL_DirectFB_video.h.

SDL_Window* DFB_DeviceData::grabbed_window

Definition at line 159 of file SDL_DirectFB_video.h.

int DFB_DeviceData::has_own_wm

Definition at line 155 of file SDL_DirectFB_video.h.

int DFB_DeviceData::initialized

Definition at line 143 of file SDL_DirectFB_video.h.

DFB_KeyboardData DFB_DeviceData::keyboard[10]

Definition at line 149 of file SDL_DirectFB_video.h.

int DFB_DeviceData::mouse_id[0x100]

Definition at line 147 of file SDL_DirectFB_video.h.

int DFB_DeviceData::num_keyboard

Definition at line 148 of file SDL_DirectFB_video.h.

int DFB_DeviceData::num_mice

Definition at line 146 of file SDL_DirectFB_video.h.

int DFB_DeviceData::use_linux_input

Definition at line 154 of file SDL_DirectFB_video.h.

int DFB_DeviceData::use_yuv_direct

Definition at line 153 of file SDL_DirectFB_video.h.

int DFB_DeviceData::use_yuv_underlays

Definition at line 152 of file SDL_DirectFB_video.h.

The documentation for this struct was generated from the following file:

- src/video/directfb/SDL_DirectFB_video.h